"use strict";

var _myF = _interopRequireDefault(require("@antv/my-f2"));

var _methods = _interopRequireDefault(require("../mixins/methods"));

var _util = _interopRequireDefault(require("../util"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

Component({
  mixins: [_methods.default],
  props: {
    series: [],
    tooltip: false,
    legend: false
  },
  didMount: function didMount() {
    var _this = this;

    my.call('getStartupParams', {}, function (result) {
      _util.default.tracert('rose', result.appId, result.url);
    });
    var id = "am-mc-rose-".concat(this.$id);
    var ctx = my.createCanvasContext(id);
    var canvas = this.canvas = new _myF.default.Renderer(ctx);
    var pixelRatio = my.getSystemInfoSync().pixelRatio;
    ctx.scale(pixelRatio, pixelRatio);
    my.createSelectorQuery().select("#".concat(id)).boundingClientRect().exec(function (res) {
      if (!res || !res.length) {
        return;
      }

      var _res$ = res[0],
          width = _res$.width,
          height = _res$.height;

      _this.setData({
        width: width * pixelRatio,
        height: height * pixelRatio
      });

      var _this$props = _this.props,
          padding = _this$props.padding,
          appendPadding = _this$props.appendPadding;
      _this.chart = new _myF.default.Chart({
        el: canvas,
        width: width,
        height: height,
        padding: padding,
        appendPadding: appendPadding
      });
    });
  },
  didUpdate: function didUpdate() {
    var _this$props2 = this.props,
        series = _this$props2.series,
        legend = _this$props2.legend,
        tooltip = _this$props2.tooltip,
        style = _this$props2.style;
    var chart = this.chart;
    chart.clear();
    var data = series.map(function (item) {
      return item;
    });
    chart.source(data);
    chart.coord('polar');
    var color = [];
    var dftColors = _myF.default.Global.colors;
    var length = dftColors.length;
    series.forEach(function (kind, i) {
      color.push(kind.color || dftColors[i % length]);
    });
    chart.axis(false);
    chart.tooltip(tooltip);
    chart.legend(legend);
    chart.interval().position('type*data').color('type', color).style(style);
    chart.render();
  }
});