"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _tracertTa = _interopRequireDefault(require("@alipay/tracert-ta"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function scale(obj) {
  var key = ['range', 'tickCount', 'max', 'min', 'mask', 'type', 'nice', 'ticks'];
  var res = {};

  for (var i = 0; i < key.length; i++) {
    var k = key[i];

    if (obj.hasOwnProperty(k)) {
      res[k] = obj[k];
    }
  }

  return res;
}

function axis(obj) {
  var key = ['label', 'line', 'grid'];
  var res = {};

  for (var i = 0; i < key.length; i++) {
    var k = key[i];

    if (obj.hasOwnProperty(k)) {
      if (k === 'line' && obj[k] === true) {
        obj[k] = F2.Global._defaultAxis.line;
      } else if (k === 'grid' && obj[k] === true) {
        obj[k] = F2.Global._defaultAxis.grid;
      }

      res[k] = obj[k];
    }
  }

  return res;
}

function label(text, index, total) {
  var textCfg = {};

  if (index === 0) {
    textCfg.textAlign = 'left';
  }

  if (index === total - 1) {
    textCfg.textAlign = 'right';
  }

  return textCfg;
}

function tracert(type, appId, url) {
  my.call('remotelog', {
    type: 'behavior',
    bizType: 'FORTUNEAPP',
    seedId: 'mini-chart',
    logLevel: 2,
    // 1 - high, 2 - medium, 3 - low
    actionId: 'exposure',
    param1: appId,
    param2: url,
    param3: type
  });
  var Tracert = new _tracertTa.default({
    spmAPos: 'a945',
    // spma位，必填
    spmBPos: 'b10625',
    // spmb位，必填
    bizType: 'FORTUNEAPP',
    // 业务类型，必填
    logLevel: 2,
    // 默认是2
    chInfo: '',
    // 渠道
    mdata: {// 通用的数据，可不传，传了所有的埋点均会带该额外参数
    },
    debug: false // 默认是false，传true 则会在发起埋点请求的时候，在控制台输出日志

  });
  Tracert.expo('c25441.d47746', {
    type: type,
    appId: appId,
    url: url
  });
}

var _default = {
  scale: scale,
  axis: axis,
  label: label,
  tracert: tracert
};
exports.default = _default;